#
# 	makefile
#
# 	Copyright (C) 1991-95 Be Incorporated  
# 	All rights reserved.
#

SHELL				= /bin/sh
INCLUDES 			= 
OBJ					= obj
APP					= January
#RESOURCE_FORK 		= $(APP).rsrc
RESOURCE_FORK 		= gorp.rsrc

CC 					= mwcc
CFLAGS				= -nosyspath -O7 -DPPC603=1 -Hcpplvl=3 -I./
LD 					= mwld
LDFLAGS				= 

OBJS 				= $(CPPOBJS)

CPPOBJS 			=  \
	$(OBJ)/January.o		\
	$(OBJ)/MonthView.o	\
	$(OBJ)/GMCGraphics.o \
	$(OBJ)/StringLabel.o

all:	$(OBJ) $(APP)
	@echo Just made $(notdir $(APP))

$(APP): $(OBJ) $(OBJS)
	$(LD) -o $(APP) $(OBJS) $(RSRC) $(LDFLAGS)
	copyres $(RESOURCE_FORK) $@
	setfile $@
		
$(OBJ):
	-mkdir $(OBJ)

clean:
	@echo Removing $(APP) $(OBJS)
	@-rm -f $(OBJS)
	@-rm -f $(APP)

$(OBJ)/GMCGraphics.o:	GMCGraphics.cpp GMCGraphics.h
	$(CC) $(INCLUDES) $(CFLAGS) -o $@ -c GMCGraphics.cpp

$(OBJ)/MonthView.o:	MonthView.cpp MonthView.h
	$(CC) $(INCLUDES) $(CFLAGS) -o $@ -c MonthView.cpp

$(OBJ)/January.o:	January.cpp 
	$(CC) $(INCLUDES) $(CFLAGS) -o $@ -c January.cpp

$(OBJ)/StringLabel.o:	StringLabel.cpp StringLabel.h 
	$(CC) $(INCLUDES) $(CFLAGS) -o $@ -c StringLabel.cpp
